# Verify Card Details (PAN, expiry date, and CVC2)
source: https://developer.mastercard.com/mastercard-processing-core/documentation/use-cases/card-lifecycle/verify-card-details/index.md

## Overview {#overview}

The use case describes the process to verify card details (PAN, expiry date, and CVC2) of the specified card contract `Plastic`.

## Sequence diagram {#sequence-diagram}

Diagram verify-card-details

### Explanation {#explanation}

1. The server sends a `POST` request to the `/cards/details-verifications` endpoint passing the fields `cardContractNumber`, `cardVerificationCode`, and `cardExpiryDate` in the request body with the values that you want to verify in the CMS.
2. The API searches the CMS for data from the request.  
   If there is a match, the API returns HTTP `200` with the `PAN_CORRECT` value in the `cardContractNumberVerificationResult` field in the response body.  
   If you provide `cardVerificationCode` and `cardExpiryDate` that match the data stored in the CMS in the request body, the API will return:
   * the `cvc2VerificationResult` field with the `CVC2_CORRECT` value
   * the `cardExpiryDateVerificationResult` field with the `EXPIRY_DATE_CORRECT` value

Refer to [Sandbox testing](https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/card-lifecycle-management/verify-card-details/index.md) for information on how to execute the use case in the Sandbox environment.

## Endpoint {#endpoint}


API Reference: `POST /cards/details-verifications`

